// Autor: Stefan-Alexandru Filip
// bulaneala de 30 de pct
#include <fstream>
#include <vector>
#include <queue>
#include <algorithm>
#include <cstring>
#include <cassert>

using namespace std;

const int NMAX = 200;
const int GMAX = 256;
const int VMAX = 2048;
const int INF = 0x3f3f3f3f;

int N, M, NE1, NE2, NE3, S, D, R2, R3, R4, R5, n, m;
int T1[GMAX], T2[GMAX], T3[GMAX];

void read(void) {
	ifstream fin("politia.in");
	int i, j, l1, l2, u;

	assert( fin >> N >> M >> NE1 >> NE2 >> NE3 );
	assert(1 <= N && N <= NMAX);
	assert(1 <= M && M <= NMAX);
	assert(1 <= NE1 && NE1 <= NMAX);
	assert(1 <= NE2 && NE2 <= NMAX);
	assert(1 <= NE3 && NE3 <= NMAX);

	for (i = 1; i <= N; ++i) {
		assert( fin >> l1 );
		
		for (j = 0; j < l1; ++j)
			assert( fin >> u ), ++T1[u];

		assert( fin >> l2 );

		if (l1 == 0 || l2 == 0) ++n;

		for (j = 0; j < l2; ++j)
			assert( fin >> u ), ++T2[u];
	}

	for (i = 1; i <= M; ++i) {
		assert( fin >> l1 );

		for (j = 0; j < l1; ++j)
			assert( fin >> u ), ++T2[u];

		assert( fin >> l2 );

		if (l1 == 0 || l2 == 0) ++m;

		for (j = 0; j < l2; ++j)
			assert( fin >> u ), ++T3[u];
	}

	fin.close();
}

int check(int T[], int N) {
	int n = 0, i;

	for (i = 1; i <= N; ++i)
		if (T[i] == 0)
			++n;

	return N - n;
}

void write(void) {
	ofstream fout("politia.out");

	int R = min(N - n, M - m);

	R = min(R, check(T1, NE1));
	R = min(R, check(T2, NE2));
	R = min(R, check(T3, NE3));

	fout << R << '\n';

	fout.close();
}

int main(void) {

	read();

	write();

	return 0;
}
